Subject: bug#40977: --load-path does not honor ~

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 30 Apr 2020 19:34:39 +0200

> After processing options, guix need to "expanduser()" (as it is called
> in Python) on all arguments which are paths.  

Please don't do it.

UNIX has its warts, and this is a well-known one (use ${HOME} instead).

If we did expanduser, I'm sure we'd be seeing bug reports about paths where
there was a tilde in the actual file name, NOT as a expanduser mark.

UNIX tools do what they do, and this wart is here to stay in a lot of tools.
Then at least make it consistent across all the tools UNIX has.